package com.chenyang.nse.bussiness.entity.orm.table.core.file;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_FILE_STRUCTUREWIDTH"
)
public class TCoreFileStructurewidth extends TBaseEntity {
   private String filestructureid;
   private String nullchartype;
   private String nullcharacter;
   private String repeatable;
   private String padbytes;
   private String linesequential;
   private String shiftsensitivedata;
   private String striptrailingblanks;

   public TCoreFileStructurewidth() {
   }

   public TCoreFileStructurewidth(String filestructureid, String nullchartype, String nullcharacter, String repeatable, String padbytes, String linesequential, String shiftsensitivedata, String striptrailingblanks) {
      this.filestructureid = filestructureid;
      this.nullchartype = nullchartype;
      this.nullcharacter = nullcharacter;
      this.repeatable = repeatable;
      this.padbytes = padbytes;
      this.linesequential = linesequential;
      this.shiftsensitivedata = shiftsensitivedata;
      this.striptrailingblanks = striptrailingblanks;
   }

   public String getFilestructureid() {
      return this.filestructureid;
   }

   public void setFilestructureid(String filestructureid) {
      this.filestructureid = filestructureid;
   }

   public String getNullchartype() {
      return this.nullchartype;
   }

   public void setNullchartype(String nullchartype) {
      this.nullchartype = nullchartype;
   }

   public String getNullcharacter() {
      return this.nullcharacter;
   }

   public void setNullcharacter(String nullcharacter) {
      this.nullcharacter = nullcharacter;
   }

   public String getRepeatable() {
      return this.repeatable;
   }

   public void setRepeatable(String repeatable) {
      this.repeatable = repeatable;
   }

   public String getPadbytes() {
      return this.padbytes;
   }

   public void setPadbytes(String padbytes) {
      this.padbytes = padbytes;
   }

   public String getLinesequential() {
      return this.linesequential;
   }

   public void setLinesequential(String linesequential) {
      this.linesequential = linesequential;
   }

   public String getShiftsensitivedata() {
      return this.shiftsensitivedata;
   }

   public void setShiftsensitivedata(String shiftsensitivedata) {
      this.shiftsensitivedata = shiftsensitivedata;
   }

   public String getStriptrailingblanks() {
      return this.striptrailingblanks;
   }

   public void setStriptrailingblanks(String striptrailingblanks) {
      this.striptrailingblanks = striptrailingblanks;
   }

   public String toString() {
      return "TCoreFileStructurewidth [filestructureid=" + this.filestructureid + ", nullchartype=" + this.nullchartype + ", nullcharacter=" + this.nullcharacter + ", repeatable=" + this.repeatable + ", padbytes=" + this.padbytes + ", linesequential=" + this.linesequential + ", shiftsensitivedata=" + this.shiftsensitivedata + ", striptrailingblanks=" + this.striptrailingblanks + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.filestructureid == null ? 0 : this.filestructureid.hashCode());
      result = 31 * result + (this.linesequential == null ? 0 : this.linesequential.hashCode());
      result = 31 * result + (this.nullcharacter == null ? 0 : this.nullcharacter.hashCode());
      result = 31 * result + (this.nullchartype == null ? 0 : this.nullchartype.hashCode());
      result = 31 * result + (this.padbytes == null ? 0 : this.padbytes.hashCode());
      result = 31 * result + (this.repeatable == null ? 0 : this.repeatable.hashCode());
      result = 31 * result + (this.shiftsensitivedata == null ? 0 : this.shiftsensitivedata.hashCode());
      result = 31 * result + (this.striptrailingblanks == null ? 0 : this.striptrailingblanks.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreFileStructurewidth other = (TCoreFileStructurewidth)obj;
         if (this.filestructureid == null) {
            if (other.filestructureid != null) {
               return false;
            }
         } else if (!this.filestructureid.equals(other.filestructureid)) {
            return false;
         }

         if (this.linesequential == null) {
            if (other.linesequential != null) {
               return false;
            }
         } else if (!this.linesequential.equals(other.linesequential)) {
            return false;
         }

         if (this.nullcharacter == null) {
            if (other.nullcharacter != null) {
               return false;
            }
         } else if (!this.nullcharacter.equals(other.nullcharacter)) {
            return false;
         }

         if (this.nullchartype == null) {
            if (other.nullchartype != null) {
               return false;
            }
         } else if (!this.nullchartype.equals(other.nullchartype)) {
            return false;
         }

         if (this.padbytes == null) {
            if (other.padbytes != null) {
               return false;
            }
         } else if (!this.padbytes.equals(other.padbytes)) {
            return false;
         }

         if (this.repeatable == null) {
            if (other.repeatable != null) {
               return false;
            }
         } else if (!this.repeatable.equals(other.repeatable)) {
            return false;
         }

         if (this.shiftsensitivedata == null) {
            if (other.shiftsensitivedata != null) {
               return false;
            }
         } else if (!this.shiftsensitivedata.equals(other.shiftsensitivedata)) {
            return false;
         }

         if (this.striptrailingblanks == null) {
            if (other.striptrailingblanks != null) {
               return false;
            }
         } else if (!this.striptrailingblanks.equals(other.striptrailingblanks)) {
            return false;
         }

         return true;
      }
   }
}
